> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post Reactions

> Get Post Reactions



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/post/reactions
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/post/reactions:
    get:
      tags:
        - Post
      summary: Get Post Reactions
      description: Get Post Reactions
      operationId: getApiV1PostReactions
      parameters:
        - in: query
          name: post_id
          schema:
            type: string
            pattern: ^\d+$
            description: Post ID containing only numbers
            example: '1234567890'
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
          required: false
        - in: query
          name: type
          schema:
            type: string
            enum:
              - all
              - like
              - praise
              - empathy
              - appreciation
              - interest
            description: Select by reaction type
            example: all
            default: all
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of reactions
                    example: 500
                  has_more:
                    type: boolean
                    description: Whether there are more reactions to fetch
                    example: true
                  data:
                    type: object
                    properties:
                      reaction_type:
                        type: string
                        description: Reaction Type
                        example: LIKE
                      user:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: User ID
                              example: '1077643164'
                            urn:
                              type: string
                              description: User URN
                              example: ACoAAEA7h5wBCkrTgDoVkHF2CO_HcP94K9iyHIw
                            url:
                              type: string
                              description: User LinkedIn URL
                              example: >-
                                https://www.linkedin.com/in/ACoAAEA7h5wBCkrTgDoVkHF2CO_HcP94K9iyHIw
                            name:
                              type: string
                              description: User Name
                              example: vihanga induwara
                            description:
                              type: string
                              description: User Description
                              example: Student at Maris Stella College Negombo
                            avatar:
                              type: array
                              items:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                              description: User Avatar
                    required:
                      - user
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````